November 9, 2011

Zen1988 Zen1988
Lab Rat
1 posts

Failed to build Qt x11 4.5.1 on RHEL 5.4

 

Hi,

http://networkingtips-tricks.blogspot.com/2010/08/tutorial-how-to-install-gns3-on.html#disqus_thread

Currently I require GNS3 to be run on my server, and hence I follow the step from the link provided above. So, I try to build and install qt 4.5.1 on the server before any other requirement install. But I failed at the step running gmake which return me error:

compiling global/qlibraryinfo.cpp
../../include/QtCore/../../src/corelib/tools/qstring.h: In function ‘const QString operator+(const QString&, QChar)’:
../../include/QtCore/../../src/corelib/tools/qstring.h:1007: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
gmake1: *** [.obj/debug-shared/qlibraryinfo.o] Error 1
gmake1: Leaving directory `/root/Desktop/GNS3/qt/qt-x11-opensource-src-4.5.1/src/corelib’
gmake: *** [sub-corelib-make_default-ordered] Error 2

Then I retry the build but specify as static library, then it success. However, the PyQt seem to be need the qt library to in shared (non -static). Any idea how I should do it?

0 replies

 
  ‹‹ [solved] Could not download archive      My QT built with msvc20010 does not create QtOpenGLd4.dll ??? ››

You must log in to post a reply. Not a member yet? Register here!